$( document ).ready(function() {

VL.Connect("ws://" + window.location.host + ":80/ws/measure");

$("#connection").VLConnection();

$("#camera").VLCamera({
		address: window.location.host + ":80/ws/image/default",
		dropCount: 0,
		width: 325,
		height: 245
});

$("#value").VLValueDisplay({
	devices : [
		{ deviceName : "Arduino_Input0", sMin: 0, sMax: 65534, dMin: 0, dMax: 5}
	],
	refresh : 200,
	format: "0.00 V"
});

$("#fast_graph").VLChart({
	devices : [
		{ deviceName : "Arduino_Input0" , loadMethod : "Fast", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 10},
	],
	loadOnCreate : true,
	chartParams : {
		colors: ["#0000ff"],
		yaxis : {
			max: 5.1,
			min: 0,
			color: "#000000",
			title: 'Value [V]'
		},
		xaxis : {
			showLabels:false,
			noTicks: 10,
			title: 'Time / s (1 tick is 1 s)'
		},
		grid : {
			tickColor: "#B0B0B0",
			backgroundColor: "#ffffff"
		},
		shadowSize : 0,
		HtmlText: false
	},
	autoScroll : true,
	autoScrollWindowX : 10
});

});
