$( document ).ready(function() {

VL.Connect("ws://" + window.location.host + ":80/ws/measure");

$("#connection").VLConnection();

$("#value_1").VLValueDisplay({
	devices : [
		{ deviceName : "Arduino_Input0", sMin: 0, sMax: 65534, dMin: 0, dMax: 5}
	],
	refresh : 200,
	format: "0.00 V"
});

$("#fast_graph").VLChart({
	devices : [
		{ deviceName : "Arduino_Input0" , loadMethod : "Fast", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 10},
	],
	loadOnCreate : true,
	chartParams : {
		colors: ["#0000ff"],
		yaxis : {
			max: 5.2,
			min: 0,
			color: "#000000",
			autoscale: true,
			title: 'Value [V]',
		},
		xaxis : {
			showLabels:false,
			noTicks: 10,
			title: 'Time / s (1 tick is 1 s)'
		},
		grid : {
			tickColor: "#B0B0B0",
			backgroundColor: "#ffffff"
		},
		shadowSize : 0,
		HtmlText: false
	},
	autoScroll : true,
	autoScrollWindowX : 10
});

$("#experiment_control").VLExperimentControl({
	devices : [
		{ deviceName : "Arduino_Input0"},
	],
	experimentNumberSlot: "experimentId",
	startEvent : "start_experiment",
	stopEvent : "stop_experiment",
	onStopEvent : "experiment_selection_valid"
});

$("#start_experiment").VLButton({
	onClickEvent : "start_experiment",
	description : "Start"
});

$("#stop_experiment").VLButton({
	onClickEvent : "stop_experiment",
	description : "Stop"
});

$("#experiment_graph").VLChart({
	devices : [
		{ deviceName : "Arduino_Input0" , loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
	],
	loadEvents : ["experiment_selection_valid"],
	requireData: false,
	chartParams : {
		colors: ["#0000ff"],
		yaxis : {
			max: 5.2,
			min: 0,
			color: "#000000",
			title: 'Value [V]',
		},
		xaxis : {
			noTicks: 10,
			title: 'Time / s'
		},
		grid : {
			tickColor: "#B0B0B0",
			backgroundColor: "#ffffff"
		},
		shadowSize : 0,
		HtmlText: false
	},
});

});
