$( document ).ready(function() {

VL.Connect("ws://" + window.location.host + ":80/ws/measure");

$("#connection").VLConnection();

$("#experiment_select").VLExperimentSelect({
	experimentNumberSlot : "experimentId",
	refreshEvent: "experiment_selection_valid",
	onSelectEvent: "experiment_selection_valid"
});

$("#experiment_graph").VLChart({
	devices : [
		{ deviceName : "Arduino_Input0" , loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
	],
	loadEvents : ["experiment_selection_valid"],
	requireData: false,
	chartParams : {
		colors: ["#0000ff"],
		yaxis : {
			max: 5.2,
			min: 0,
			color: "#000000",
			title: 'Value [V]',
		},
		xaxis : {
			noTicks: 10,
			title: 'Time / s'
		},
		grid : {
			tickColor: "#B0B0B0",
			backgroundColor: "#ffffff"
		},
		shadowSize : 0,
		HtmlText: false
	},
});

$("#experiment_export_csv").VLButton({
	onClickEvent : "load_data_csv",
	description : "Values in csv",
	autoDisable : false
});
$("#experiment_export_csv").VLDataOutput({
	devices :  [
		{ deviceName : "Arduino_Input0" , loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
	],

	loadEvent : "load_data_csv",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0"],
		timeHead: "Time [s]",
		timeFormat: '"0.000"',
		columnHeads: ["Value [V]"],
		valueFormats: ['0.00'],
		beforeAll: "",
		delimiterHead: ",",
		betweenHeadLines: "\n",
		afterHead: "\n",
		beforeDataLine: "",
		delimiterDataLine: ",",
		afterDataLine: "\n",
		afterAll: ""
	},

	exportParams: {
		fileName: "data.csv",
		contentType: "text/csv;charset=utf-8"
	}
});

$("#experiment_export_html").VLButton({
	onClickEvent : "load_data_html",
	description : "Values on new HTML page",
	autoDisable : false
});
$("#experiment_export_html").VLDataOutput({
	devices :  [
		{ deviceName : "Arduino_Input0" , loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
	],

	loadEvent : "load_data_html",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0"],
		timeHead: "Time [s]",
		columnHeads: ["Value [V]"],
		valueFormats: ["0.00"],
		beforeAll: "<table><thead><tr><th align='center'>",
		delimiterHead: "</th><th align='center'>",
		betweenHeadLines: "</th></tr><tr><th align='center'>",
		afterHead: "</th></tr></thead><tbody>",
		beforeDataLine: "<tr><td align='center'>",
		delimiterDataLine: "</td><td align='center'>",
		afterDataLine: "</td></tr>",
		afterAll: "</tbody></table>"	
	},

	exportFunc: VLH.exportToWindow
});

});
